package com.prolog.rdc.tms.dao.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.line.PrinterRoute;
import com.prolog.rdc.tms.model.vo.print.QuerySysPrinterRouteVO;

@Mapper
public interface PrinterRouteMapper extends BaseMapper<PrinterRoute> {

	List<PrinterRoute> findByCodeAndName(@Param("employeeId") String employeeId, @Param("routeName") String routeName, @Param("printerId") Long printerId, @Param("id") Long id, @Param("enterpriseId") Long enterpriseId);

	PrinterRoute findByNativeId(@Param("id") Long id);

	void updateByNativeId(@Param("model") PrinterRoute model);

	List<PrinterRoute> findList(@Param("model") QuerySysPrinterRouteVO vo, @Param("enterpriseId") Long enterpriseId);

	void delete(@Param("ids") List<Long> ids, @Param("lastModifiedDate") Date date, @Param("userName") String userName);

	void saveRoute(@Param("model") PrinterRoute model);

	List<PrinterRoute> findByEmployeeId(@Param("employeeId") String employeeId, @Param("warehouseId") Long warehouseId);
}